"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useReference_unstable", {
    enumerable: true,
    get: function() {
        return useReference_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _referenceListContext = require("../../../contexts/reference-v2/referenceListContext");
const _useReferenceStylesstyles = require("./useReferenceStyles.styles");
const _reactprovider = require("@fluentui-copilot/react-provider");
const useReference_unstable = (props, ref)=>{
    const { as, children, id } = props;
    const designVersion = (0, _reactprovider.useDesignVersion)(props.designVersion);
    const shouldUseOverflow = (0, _referenceListContext.useReferenceListContext_unstable)((ctx)=>ctx.shouldUseOverflow);
    const referenceId = (0, _reactcomponents.useId)('reference-', id);
    const elementType = as || (props.href ? 'a' : 'button');
    const propsWithAssignedAs = {
        type: elementType === 'button' ? 'button' : undefined,
        ...props,
        as: elementType,
        id: referenceId
    };
    const citation = _reactcomponents.slot.optional(props.citation, {
        elementType: 'span'
    });
    const graphic = _reactcomponents.slot.optional(props.graphic, {
        elementType: 'span'
    });
    const content = _reactcomponents.slot.optional(props.content, {
        elementType: 'span',
        renderByDefault: graphic !== undefined || !!children
    });
    const divider = _reactcomponents.slot.optional(props.divider, {
        elementType: 'span',
        renderByDefault: citation !== undefined && content !== undefined
    });
    const state = {
        designVersion,
        id: referenceId,
        shouldUseOverflow,
        components: {
            root: elementType,
            citation: 'span',
            divider: 'span',
            graphic: 'span',
            content: 'span'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)(elementType, {
            ref,
            ...propsWithAssignedAs
        }), {
            elementType
        }),
        citation,
        divider,
        content,
        graphic
    };
    if (state.graphic && /*#__PURE__*/ _react.isValidElement(state.graphic.children)) {
        state.graphic.children = /*#__PURE__*/ _react.cloneElement(state.graphic.children, {
            className: (0, _reactcomponents.mergeClasses)(state.graphic.children.props.className, _useReferenceStylesstyles.referenceExtraClassNames.graphicChild)
        });
    }
    return state;
}; //# sourceMappingURL=useReference.js.map
