"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useReferenceOverflowButton_unstable", {
    enumerable: true,
    get: function() {
        return useReferenceOverflowButton_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _keyboardkeys = require("@fluentui/keyboard-keys");
const _reactcomponents = require("@fluentui/react-components");
const _reactutilities = require("@fluentui/react-utilities");
const _referenceListContext = require("../../../contexts/reference-v2/referenceListContext");
const _reactprovider = require("@fluentui-copilot/react-provider");
const useReferenceOverflowButton_unstable = (props, ref)=>{
    'use no memo';
    const { children, id, text } = props;
    const designVersion = (0, _reactprovider.useDesignVersion)(props.designVersion);
    const rootRef = _react.useRef(null);
    const [setTimeout] = (0, _reactutilities.useTimeout)();
    const referenceOverflowButtonId = (0, _reactcomponents.useId)('reference-overflow-button-', id);
    const areReferencesExpanded = (0, _referenceListContext.useReferenceListContext_unstable)((ctx)=>ctx.areReferencesExpanded);
    const maxVisibleReferences = (0, _referenceListContext.useReferenceListContext_unstable)((ctx)=>ctx.maxVisibleReferences);
    const referenceListRef = (0, _referenceListContext.useReferenceListContext_unstable)((ctx)=>ctx.referenceListRef);
    const totalReferencesCount = (0, _referenceListContext.useReferenceListContext_unstable)((ctx)=>ctx.totalReferencesCount);
    const triggeredViaKeyboard = (0, _referenceListContext.useReferenceListContext_unstable)((ctx)=>ctx.overflowButtonTriggeredViaKeyboard);
    const { isOverflowing, overflowCount } = (0, _reactcomponents.useOverflowMenu)();
    const processedText = children !== null && children !== void 0 ? children : typeof text === 'function' ? text(overflowCount) : text;
    const { findFirstFocusable, findNextFocusable } = (0, _reactcomponents.useFocusFinders)();
    const onKeyDown = _react.useCallback((ev)=>{
        if (ev.key === _keyboardkeys.Enter || ev.key === _keyboardkeys.Space) {
            triggeredViaKeyboard.current = true;
        }
    }, [
        triggeredViaKeyboard
    ]);
    // We keep track of the previous overflow count to help determine the element to move focus to when expanding the references via keyboard.
    const previousOverflow = _react.useRef(0);
    // When the references are expanded or collapsed via keyboard, we need to move focus to the appropriate element.
    _react.useEffect(()=>{
        // We only try to move focus if maxVisibleReferences is set and the overflow button was triggered via keyboard.
        if (maxVisibleReferences !== undefined && triggeredViaKeyboard.current) {
            let elementToFocus;
            // If the references are collapsed, we move focus to the overflow button.
            if (!areReferencesExpanded) {
                elementToFocus = rootRef.current;
                previousOverflow.current = overflowCount;
            } else if (rootRef.current && referenceListRef.current) {
                const positionToFocus = maxVisibleReferences < totalReferencesCount - previousOverflow.current ? maxVisibleReferences : totalReferencesCount - previousOverflow.current;
                let currentElement = findFirstFocusable(referenceListRef.current);
                for(let i = 0; i < positionToFocus && currentElement; i++){
                    currentElement = findNextFocusable(currentElement);
                }
                elementToFocus = currentElement;
            }
            // We focus on the element and reset the triggeredViaKeyboard flag after a timeout to ensure that this is pushed at the end of the event queue.
            setTimeout(()=>{
                elementToFocus === null || elementToFocus === void 0 ? void 0 : elementToFocus.focus();
                triggeredViaKeyboard.current = false;
            }, 0);
        }
    }, [
        areReferencesExpanded,
        findFirstFocusable,
        findNextFocusable,
        isOverflowing,
        maxVisibleReferences,
        overflowCount,
        referenceListRef,
        setTimeout,
        totalReferencesCount,
        triggeredViaKeyboard
    ]);
    const state = {
        designVersion,
        id: referenceOverflowButtonId,
        shouldRenderOverflowButton: isOverflowing || areReferencesExpanded,
        components: {
            root: 'button'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('button', {
            ref: (0, _reactcomponents.useMergedRefs)(rootRef, ref),
            ...props
        }), {
            defaultProps: {
                children: processedText
            },
            elementType: 'button'
        })
    };
    state.root.onKeyDown = (0, _reactcomponents.mergeCallbacks)(onKeyDown, props.onKeyDown);
    return state;
}; //# sourceMappingURL=useReferenceOverflowButton.js.map
