"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useReferenceGroup", {
    enumerable: true,
    get: function() {
        return useReferenceGroup;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const useStyles = (0, _reactcomponents.__styles)({
    hidden: {
        mc9l5x: "fjseox"
    }
}, {
    d: [
        ".fjseox{display:none;}"
    ]
});
const useReferenceGroup = (props)=>{
    const [isOpen, setIsOpen] = _react.useState(false);
    const styles = useStyles();
    const referenceListId = (0, _reactcomponents.useId)('reference-list', props.referenceListId);
    return _react.useMemo(()=>{
        const handleClick = ()=>{
            setIsOpen((isOpen)=>!isOpen);
        };
        const referenceGroupToggleProps = {
            'aria-controls': referenceListId,
            isOpen,
            onClick: handleClick
        };
        const referenceListProps = {
            className: isOpen ? undefined : styles.hidden,
            id: referenceListId
        };
        return {
            referenceGroupToggleProps,
            referenceListProps
        };
    }, [
        isOpen,
        referenceListId,
        styles.hidden
    ]);
}; //# sourceMappingURL=useReferenceGroup.js.map
