import { buttonClassNames, __resetStyles, __styles, mergeClasses, shorthands, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
/** deprecated Use ReferenceV2 component, hooks and types instead. */
export const referenceClassNames = {
  root: 'fai-Reference',
  citation: 'fai-Reference__citation',
  media: 'fai-Reference__media',
  actions: 'fai-Reference__actions',
  sensitivity: 'fai-Reference__sensitivity',
  metadata: 'fai-Reference__metadata',
  primaryText: 'fai-Reference__primaryText',
  secondaryText: 'fai-Reference__secondaryText',
  tertiaryText: 'fai-Reference__tertiaryText',
  icon: 'fai-Reference__icon',
  label: 'fai-Reference__label',
  content: 'fai-Reference__content',
  detailsButton: 'fai-Reference__detailsButton'
};
/** deprecated Use ReferenceV2 component, hooks and types instead. */
export const referenceExtraClassNames = {
  text: 'fai-Reference__text',
  mediaChild: 'fai-Reference__mediaChild'
};
const labelFontSize = typographyStyles.caption1Strong.fontSize;
const labelLineHeight = typographyStyles.caption1Strong.lineHeight;
const maxPopoverWidth = '256px';
const useReferenceClassName = __resetStyles("r8mog99", null, [".r8mog99{box-sizing:border-box;width:100%;display:grid;grid-template-areas:\"citation         media            title            actions\" \".                .                title            .\" \"sensitivityLabel sensitivityLabel sensitivityLabel sensitivityLabel\" \"metadata         metadata         metadata         metadata\" \"content          content          content          content\";grid-template-columns:min-content min-content 1fr min-content;grid-template-rows:32px auto auto auto auto;border:var(--strokeWidthThin) solid var(--colorNeutralStroke1);border-radius:var(--borderRadiusMedium);padding:var(--spacingVerticalS) var(--spacingHorizontalS);box-shadow:none;column-gap:var(--spacingHorizontalXS);align-items:center;}"]);
const useStyles = __styles({
  canvas: {},
  sidecar: {
    wkccdc: "f2e0fxj",
    Byoj8tv: 0,
    uwmqm3: 0,
    z189sj: 0,
    z8tnut: 0,
    B0ocmuz: "f1v65gcw"
  },
  inline: {},
  popover: {
    B4j52fo: "f1pit55b",
    Bekrc4i: ["f1orqat1", "ffbvwxd"],
    Bn0qgzm: "f136mcbi",
    ibv6hh: ["ffbvwxd", "f1orqat1"],
    a9b677: "f1uniyfe",
    Byoj8tv: 0,
    uwmqm3: 0,
    z189sj: 0,
    z8tnut: 0,
    B0ocmuz: "f1c5fvqg"
  },
  closed: {
    Belr9w4: "f1sff6ri"
  },
  citation: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "f4z8xh6"
  },
  media: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "fujjg13",
    mc9l5x: "f22iagw",
    Bt984gj: "f122n59",
    Brf1p80: "f4d9j23"
  },
  mediaPopover: {
    a9b677: "fjw5fx7",
    Bqenvij: "fd461yt",
    psn4ub: "fe9dio4",
    vf399t: "f1ojxjpn"
  },
  actions: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: "f16hsg94",
    Bq1tomu: "fceb517",
    Bdqf98w: "f1a7i8kp",
    mc9l5x: "f22iagw"
  },
  detailsButton: {
    D5xksd: "fzmnlw3"
  },
  sensitivity: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "fw0kx7a",
    Bdqf98w: "fsxvdwy"
  },
  metadata: {
    B6of3ja: "fww94b8",
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "f14r5tnm",
    Bahqtrf: "fk6fouc",
    Be2twd7: "f13mqy1h",
    Bhrd7zp: "figsok6",
    Bg96gwp: "fcpl73t"
  },
  metadataSubsequentText: {
    qhf8xq: "f10pi13n",
    Frg6f3: ["foyynoy", "f1vcna3q"],
    Ftih45: "f1wl9k8s",
    Br0sdwz: "f1aocrix",
    Brfgrao: "f1j7ml58",
    Fbdkly: ["f1s1fjay", "f15a459s"],
    Bciustq: "f1wl9tmt",
    Baz25je: "f8pn7wt",
    uvfttm: ["f1x8pvcy", "f9sc749"],
    Bbv0w2i: ["f1jpmc5p", "f1yq6w5o"],
    Bm6vgfq: ["fjml6kk", "f1geml7w"]
  },
  icon: {
    Bahqtrf: "fk6fouc",
    Be2twd7: "f13mqy1h",
    Bhrd7zp: "figsok6",
    Bg96gwp: "fcpl73t",
    ha4doy: "fmrv4ls"
  },
  content: {
    B6of3ja: "fww94b8",
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "fqi5tbq",
    mc9l5x: "f22iagw",
    Beiy3e4: "f1vx9l62",
    Belr9w4: "f1wn3y0l",
    sj55zd: "f11d4kpn",
    Biipf1f: "f9ijwd5"
  },
  hidden: {
    mc9l5x: "fjseox"
  }
}, {
  d: [".f2e0fxj{grid-template-rows:24px auto auto auto;}", [".f1v65gcw{padding:var(--spacingVerticalXS) var(--spacingHorizontalS);}", {
    p: -1
  }], ".f1pit55b{border-top-width:0px;}", ".f1orqat1{border-right-width:0px;}", ".ffbvwxd{border-left-width:0px;}", ".f136mcbi{border-bottom-width:0px;}", ".f1uniyfe{width:calc(256px - (var(--spacingHorizontalM) * 2));}", [".f1c5fvqg{padding:0px;}", {
    p: -1
  }], ".f1sff6ri{row-gap:0;}", [".f4z8xh6{grid-area:citation;}", {
    p: -1
  }], [".fujjg13{grid-area:media;}", {
    p: -1
  }], ".f22iagw{display:flex;}", ".f122n59{align-items:center;}", ".f4d9j23{justify-content:center;}", ".fjw5fx7{width:16px;}", ".fd461yt{height:16px;}", ".fe9dio4>.fai-Reference__mediaChild{width:16px;}", ".f1ojxjpn>.fai-Reference__mediaChild{height:16px;}", [".fceb517{grid-area:actions;}", {
    p: -1
  }], ".f1a7i8kp{justify-self:end;}", ".f16hsg94{grid-row-start:1;}", ".fzmnlw3>fui-Button__icon{color:var(--colorNeutralForeground3);}", [".fw0kx7a{grid-area:sensitivityLabel;}", {
    p: -1
  }], ".fsxvdwy{justify-self:start;}", ".fww94b8{margin-top:var(--spacingVerticalXS);}", [".f14r5tnm{grid-area:metadata;}", {
    p: -1
  }], ".fk6fouc{font-family:var(--fontFamilyBase);}", ".f13mqy1h{font-size:var(--fontSizeBase100);}", ".figsok6{font-weight:var(--fontWeightRegular);}", ".fcpl73t{line-height:var(--lineHeightBase100);}", ".f10pi13n{position:relative;}", ".foyynoy{margin-left:var(--spacingHorizontalS);}", ".f1vcna3q{margin-right:var(--spacingHorizontalS);}", ".f1wl9k8s::before{content:\"\";}", ".f1aocrix::before{display:block;}", ".f1j7ml58::before{position:absolute;}", ".f1s1fjay::before{left:calc(var(--spacingHorizontalS) / -2);}", ".f15a459s::before{right:calc(var(--spacingHorizontalS) / -2);}", ".f1wl9tmt::before{top:calc((var(--lineHeightBase100) - var(--fontSizeBase100)) / 2);}", ".f8pn7wt::before{height:var(--fontSizeBase100);}", ".f1x8pvcy::before{border-left-width:var(--strokeWidthThin);}", ".f9sc749::before{border-right-width:var(--strokeWidthThin);}", ".f1jpmc5p::before{border-left-style:solid;}", ".f1yq6w5o::before{border-right-style:solid;}", ".fjml6kk::before{border-left-color:var(--colorNeutralStroke2);}", ".f1geml7w::before{border-right-color:var(--colorNeutralStroke2);}", ".fmrv4ls{vertical-align:middle;}", [".fqi5tbq{grid-area:content;}", {
    p: -1
  }], ".f1vx9l62{flex-direction:column;}", ".f1wn3y0l{row-gap:var(--spacingVerticalS);}", ".f11d4kpn{color:var(--colorNeutralForeground3);}", ".f9ijwd5{word-break:break-word;}", ".fjseox{display:none;}"]
});
const useLabelStyles = __styles({
  root: {
    Bw0ie65: 0,
    Br312pm: 0,
    nk6f5a: 0,
    Ijaq50: 0,
    Bq1tomu: "f1m7hl8e",
    qb2dma: "f9h729m",
    Bahqtrf: "fk6fouc",
    Be2twd7: "fy9rknc",
    Bhrd7zp: "fl43uef",
    Bg96gwp: "fwrc4pm",
    Biipf1f: "f9ijwd5",
    Fd1uvx: "fpfc2by",
    Bh9c35c: "f1lvsx7g",
    mc9l5x: "f1rvi9lw",
    Bmxbyg5: "f1sil6mw"
  },
  canvas: {
    z8tnut: "f1vd4pcd"
  },
  sidecar: {
    z8tnut: "f1u9e4k4"
  },
  closed: {
    B2u0y6b: "f6dzj5z",
    Bh9c35c: "fvvof4m"
  }
}, {
  d: [[".f1m7hl8e{grid-area:title;}", {
    p: -1
  }], ".f9h729m{align-self:start;}", ".fk6fouc{font-family:var(--fontFamilyBase);}", ".fy9rknc{font-size:var(--fontSizeBase200);}", ".fl43uef{font-weight:var(--fontWeightSemibold);}", ".fwrc4pm{line-height:var(--lineHeightBase200);}", ".f9ijwd5{word-break:break-word;}", ".fpfc2by{-webkit-box-orient:vertical;}", ".f1lvsx7g{-webkit-line-clamp:2;}", ".f1rvi9lw{display:-webkit-box;}", ".f1sil6mw{overflow-y:hidden;}", ".f1vd4pcd{padding-top:calc((24px / 2 ) - (var(--lineHeightBase200) - var(--fontSizeBase200)));}", ".f1u9e4k4{padding-top:calc((16px / 2 ) - (var(--lineHeightBase200) - var(--fontSizeBase200)));}", ".f6dzj5z{max-width:100%;}", ".fvvof4m{-webkit-line-clamp:1;}"]
});
/**
 * Apply styling to the Reference slots based on the state
 *
 * deprecated Use ReferenceV2 component, hooks and types instead.
 */
export const useReferenceStyles_unstable = state => {
  'use no memo';

  const {
    isExpanded,
    mode,
    layout
  } = state;
  const rootClassName = useReferenceClassName();
  const styles = useStyles();
  const labelStyles = useLabelStyles();
  state.root.className = mergeClasses(referenceClassNames.root, rootClassName, styles[mode], styles[layout], !isExpanded && styles.closed, state.root.className);
  if (state.citation) {
    state.citation.className = mergeClasses(referenceClassNames.citation, styles.citation, state.citation.className);
  }
  if (state.media) {
    state.media.className = mergeClasses(referenceClassNames.media, styles.media, layout === 'popover' && styles.mediaPopover, state.media.className);
  }
  if (state.actions) {
    state.actions.className = mergeClasses(referenceClassNames.actions, styles.actions, state.actions.className);
  }
  state.label.className = mergeClasses(referenceClassNames.label, labelStyles.root, labelStyles[mode], !isExpanded && labelStyles.closed, state.label.className);
  if (state.sensitivity) {
    state.sensitivity.className = mergeClasses(referenceClassNames.sensitivity, styles.sensitivity, !isExpanded && styles.hidden, state.sensitivity.className);
  }
  state.metadata.className = mergeClasses(referenceClassNames.metadata, styles.metadata, !isExpanded && styles.hidden, state.metadata.className);
  let isSubsequentText = false;
  if (state.primaryText) {
    state.primaryText.className = mergeClasses(referenceClassNames.primaryText, referenceExtraClassNames.text, isSubsequentText && styles.metadataSubsequentText, state.primaryText.className);
    isSubsequentText = true;
  }
  if (state.secondaryText) {
    state.secondaryText.className = mergeClasses(referenceClassNames.secondaryText, referenceExtraClassNames.text, isSubsequentText && styles.metadataSubsequentText, state.secondaryText.className);
    isSubsequentText = true;
  }
  if (state.tertiaryText) {
    state.tertiaryText.className = mergeClasses(referenceClassNames.tertiaryText, referenceExtraClassNames.text, isSubsequentText && styles.metadataSubsequentText, state.tertiaryText.className);
    isSubsequentText = true;
  }
  if (state.icon) {
    state.icon.className = mergeClasses(referenceClassNames.icon, styles.icon, state.icon.className);
  }
  state.content.className = mergeClasses(referenceClassNames.content, styles.content, !isExpanded && styles.hidden, state.content.className);
  if (state.detailsButton) {
    state.detailsButton.className = mergeClasses(referenceClassNames.detailsButton, styles.detailsButton, state.detailsButton.className);
  }
  return state;
};
//# sourceMappingURL=useReferenceStyles.styles.js.map