import { __resetStyles, __styles, mergeClasses, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const referenceGroupToggleClassNames = {
  root: 'fai-ReferenceGroupToggle',
  icon: 'fai-ReferenceGroupToggle__icon'
};
const useButtonBaseClassName = __resetStyles("rqbbkgr", null, [".rqbbkgr{display:inline-flex;column-gap:var(--spacingHorizontalSNudge);align-items:center;font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase200);font-weight:var(--fontWeightRegular);line-height:var(--lineHeightBase200);border:0;background-color:var(--colorTransparentBackground);color:var(--colorNeutralForeground3);cursor:pointer;width:max-content;padding:var(--spacingVerticalXS) 0;}"]);
const useIconBaseClassName = __resetStyles("r18biwo", null, [".r18biwo{display:inline-flex;align-items:center;}"]);
const useStyles = __styles({
  canvas: {
    Bahqtrf: "fk6fouc",
    Be2twd7: "fy9rknc",
    Bhrd7zp: "figsok6",
    Bg96gwp: "fwrc4pm"
  },
  sidecar: {
    Bahqtrf: "fk6fouc",
    Be2twd7: "f13mqy1h",
    Bhrd7zp: "figsok6",
    Bg96gwp: "fcpl73t"
  }
}, {
  d: [".fk6fouc{font-family:var(--fontFamilyBase);}", ".fy9rknc{font-size:var(--fontSizeBase200);}", ".figsok6{font-weight:var(--fontWeightRegular);}", ".fwrc4pm{line-height:var(--lineHeightBase200);}", ".f13mqy1h{font-size:var(--fontSizeBase100);}", ".fcpl73t{line-height:var(--lineHeightBase100);}"]
});
/**
 * Apply styling to the ReferenceGroupToggle slots based on the state
 */
export const useReferenceGroupToggleStyles_unstable = state => {
  'use no memo';

  const {
    mode
  } = state;
  const styles = useStyles();
  const iconBaseClassName = useIconBaseClassName();
  const buttonBaseClassName = useButtonBaseClassName();
  state.root.className = mergeClasses(referenceGroupToggleClassNames.root, buttonBaseClassName, styles[mode], state.root.className);
  if (state.icon) {
    state.icon.className = mergeClasses(referenceGroupToggleClassNames.icon, iconBaseClassName, state.icon.className);
  }
  return state;
};
//# sourceMappingURL=useReferenceGroupToggleStyles.styles.js.map