import * as React from 'react';
import { getIntrinsicElementProps, slot } from '@fluentui/react-components';
import { referenceListItemClassName } from './useReferenceListStyles.styles';
/**
 * Create the state required to render ReferenceList.
 *
 * The returned state can be modified with hooks such as useReferenceListStyles_unstable,
 * before being passed to renderReferenceList_unstable.
 *
 * @param props - props from this instance of ReferenceList
 * @param ref - reference to root HTMLElement of ReferenceList
 *
 * deprecated Use ReferenceListV2 component, hooks and types instead.
 */
export const useReferenceList_unstable = (props, ref) => {
  return {
    components: {
      root: 'ol'
    },
    root: slot.always(getIntrinsicElementProps('ol', {
      ref,
      ...props,
      children: React.Children.map(props.children, child => /*#__PURE__*/React.createElement("li", {
        className: referenceListItemClassName
      }, child))
    }), {
      elementType: 'ol'
    })
  };
};
//# sourceMappingURL=useReferenceList.js.map