import { __resetStyles, __styles, mergeClasses, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const referenceClassNames = {
  root: 'fai-Reference',
  citation: 'fai-Reference__citation',
  divider: 'fai-Reference__divider',
  graphic: 'fai-Reference__graphic',
  content: 'fai-Reference__content'
};
export const referenceExtraClassNames = {
  graphicChild: 'fai-Reference__graphicChild'
};
const GRAPHIC_SIZE = '16px';
const useRootBaseClassName = __resetStyles("r5aus6y", null, [".r5aus6y{align-items:center;background-color:var(--colorNeutralBackground3);border:var(--strokeWidthThin) solid var(--colorNeutralStroke2);border-radius:var(--borderRadiusMedium);box-sizing:border-box;color:var(--colorNeutralForeground2);column-gap:var(--spacingHorizontalXXS);display:inline-flex;flex-shrink:0;justify-content:center;max-width:100%;min-height:24px;padding:var(--spacingVerticalXXS) var(--spacingHorizontalS);text-decoration:none;}", ".r5aus6y:hover{background-color:var(--colorNeutralBackground3Hover);border-color:var(--colorNeutralStroke1Hover);color:var(--colorNeutralForeground2Hover);}", ".r5aus6y:hover .fai-Reference__divider{background-color:var(--colorNeutralStroke1Hover);}", ".r5aus6y:hover:active{background-color:var(--colorNeutralBackground3Pressed);border-color:var(--colorNeutralStroke1Pressed);color:var(--colorNeutralForeground2Pressed);}", ".r5aus6y:hover:active .fai-Reference__divider{background-color:var(--colorNeutralStroke1Pressed);}"]);
export const useRootStyles = __styles({
  overflow: {
    B2u0y6b: "f6dzj5z",
    a9b677: "fly5x3f"
  }
}, {
  d: [".f6dzj5z{max-width:100%;}", ".fly5x3f{width:100%;}"]
});
const useRootNextStyles = __styles({
  root: {
    Beyfa6y: 0,
    Bbmb7ep: 0,
    Btl43ni: 0,
    B7oj6ja: 0,
    Dimara: "f1kijzfu"
  }
}, {
  d: [[".f1kijzfu{border-radius:var(--borderRadiusXLarge);}", {
    p: -1
  }]]
});
const useCitationBaseClassName = __resetStyles("rzdip90", null, [".rzdip90{font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase100);font-weight:var(--fontWeightSemibold);line-height:var(--lineHeightBase100);}"]);
const useDividerBaseClassName = __resetStyles("r1eyqaw5", null, [".r1eyqaw5{background-color:var(--colorNeutralStroke2);height:16px;margin:var(--spacingVerticalNone) var(--spacingHorizontalXS);width:1px;}"]);
const useGraphicBaseClassName = __resetStyles("rpyrgl4", null, [".rpyrgl4{display:inline-flex;font-size:16px;height:16px;line-height:16px;width:16px;}", ".rpyrgl4>.fai-Reference__graphicChild{height:16px;width:16px;}"]);
const useContentBaseClassName = __resetStyles("r1ycou3l", null, [".r1ycou3l{align-items:center;column-gap:var(--spacingHorizontalSNudge);display:inline-flex;text-align:start;word-break:break-word;font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase200);font-weight:var(--fontWeightRegular);line-height:var(--lineHeightBase200);}"]);
/**
 * Apply styling to the Reference slots based on the state
 */
export const useReferenceStyles_unstable = state => {
  'use no memo';

  const {
    designVersion
  } = state;
  const rootBaseClassName = useRootBaseClassName();
  const rootNextStyles = useRootNextStyles();
  const citationBaseClassName = useCitationBaseClassName();
  const dividerBaseClassName = useDividerBaseClassName();
  const contentBaseClassName = useContentBaseClassName();
  const graphicBaseClassName = useGraphicBaseClassName();
  state.root.className = mergeClasses(referenceClassNames.root, rootBaseClassName, designVersion === 'next' && rootNextStyles.root, state.root.className);
  if (state.citation) {
    state.citation.className = mergeClasses(referenceClassNames.citation, citationBaseClassName, state.citation.className);
  }
  if (state.divider) {
    state.divider.className = mergeClasses(referenceClassNames.divider, dividerBaseClassName, state.divider.className);
  }
  if (state.content) {
    state.content.className = mergeClasses(referenceClassNames.content, contentBaseClassName, state.content.className);
  }
  if (state.graphic) {
    state.graphic.className = mergeClasses(referenceClassNames.graphic, graphicBaseClassName, state.graphic.className);
  }
  return state;
};
//# sourceMappingURL=useReferenceStyles.styles.js.map