import { __resetStyles, __styles, mergeClasses } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const referenceListClassNames = {
  root: 'fai-ReferenceList',
  arrowableRegion: 'fai-ReferenceList__arrowableRegion',
  showMoreButton: 'fai-ReferenceList__showMoreButton',
  showLessButton: 'fai-ReferenceList__showLessButton'
};
/**
 * Styles for the root slot
 */
const useRootBaseClassName = __resetStyles("rylvie1", null, [".rylvie1{display:flex;flex-direction:row;gap:var(--spacingVerticalXS) var(--spacingHorizontalXS);}"]);
const useRootStyles = __styles({
  referencesExpanded: {
    Eh141a: "fni485r"
  }
}, {
  d: [".fni485r{flex-wrap:wrap;}"]
});
const useArrowableRegionBaseClassName = __resetStyles("rhs5m2c", null, [".rhs5m2c{display:contents;max-width:100%;}"]);
const useOverflowButtonBaseClassName = __resetStyles("rulvm7g", null, [".rulvm7g{display:inline-flex;flex-shrink:0;}"]);
/**
 * Apply styling to the ReferenceList slots based on the state
 */
export const useReferenceListStyles_unstable = state => {
  'use no memo';

  const {
    areReferencesExpanded,
    shouldUseOverflow
  } = state;
  const rootBaseClassName = useRootBaseClassName();
  const arrowableRegionBaseClassName = useArrowableRegionBaseClassName();
  const overflowButtonBaseClassName = useOverflowButtonBaseClassName();
  const rootStyles = useRootStyles();
  state.root.className = mergeClasses(referenceListClassNames.root, rootBaseClassName, (areReferencesExpanded || !shouldUseOverflow) && rootStyles.referencesExpanded, state.root.className);
  state.arrowableRegion.className = mergeClasses(referenceListClassNames.arrowableRegion, arrowableRegionBaseClassName, state.arrowableRegion.className);
  if (state.showMoreButton) {
    state.showMoreButton.className = mergeClasses(referenceListClassNames.showMoreButton, overflowButtonBaseClassName, state.showMoreButton.className);
  }
  if (state.showLessButton) {
    state.showLessButton.className = mergeClasses(referenceListClassNames.showLessButton, overflowButtonBaseClassName, state.showLessButton.className);
  }
  return state;
};
//# sourceMappingURL=useReferenceListStyles.styles.js.map